Bug 445071 - devel documentation is packaged wrong [NEEDINFO]
devel documentation is packaged wrong
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-base (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 03:50 EDT by Thomas Vander Stichele
Modified: 2009-01-09 01:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:27:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bnocera: needinfo? (thomas)


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2008-05-03 03:50:03 EDT
Description of problem:

1) part of the documentation is in the package twice:
rpm -ql gstreamer-plugins-base-devel | grep cdda
/usr/include/gstreamer-0.10/gst/cdda
/usr/include/gstreamer-0.10/gst/cdda/gstcddabasesrc.h
/usr/lib/libgstcdda-0.10.so
/usr/share/gtk-doc/html/gst-plugins-base-libs-0.10/gst-plugins-base-libs-gstcddabasesrc.html
/usr/share/gtk-doc/html/gst-plugins-base-libs-0.10/gstreamer-cdda.html
/usr/share/gtk-doc/html/gst-plugins-base-libs-0.10/html/gst-plugins-base-libs-gstcddabasesrc.html
/usr/share/gtk-doc/html/gst-plugins-base-libs-0.10/html/gstreamer-cdda.html

Look at gst-plugins-base-libs-gstcddabasesrc.html which is in there twice, once
inside a html subdir.

Secondly, only one of the two manuals shows up in devhelp; the description of
all the plugins and elements in gst-plugins-base is not there.  Annoying for
progammers as these are the base elements programmers should be using.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2008-06-02 13:28:36 EDT
Should be fixed in:
http://koji.fedoraproject.org/koji/taskinfo?taskID=641030

Let me know if that works for you.
Comment 2 Bug Zapper 2008-11-26 05:37:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:27:45 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.